Bug 200365 - [ml_IN] Strings are not fully translated
[ml_IN] Strings are not fully translated
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-keyboard (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
: i18n
Depends On:
Blocks: 200217
  Show dependency treegraph
 
Reported: 2006-07-27 02:33 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 02:11:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of system-config-diaplay (26.25 KB, image/png)
2006-07-27 02:39 EDT, Satyabrata Maitra
no flags Details
screenshot of firstboot keyboard window (108.73 KB, image/png)
2006-07-27 02:42 EDT, Satyabrata Maitra
no flags Details
Screenshot of system-config-keyboard (27.88 KB, image/png)
2006-07-27 02:47 EDT, Satyabrata Maitra
no flags Details
Latest translation file (.po). (9.04 KB, text/x-gettext-translation)
2006-09-28 21:09 EDT, Caius Chance
no flags Details
Screenshot (599.37 KB, image/png)
2006-11-09 19:02 EST, Caius Chance
no flags Details
screenshot of test build with latest ml.po from l10n cvs. (864.64 KB, image/png)
2006-11-15 21:57 EST, Caius Chance
no flags Details

  None (edit)
Description Satyabrata Maitra 2006-07-27 02:33:58 EDT
Description of problem:
Strings are not translated fully. Please find the attachment for screenshot.

Version-Release number of selected component (if applicable):
system-config-keyboard-1.2.7-2
firstboot-1.4.16-1

How reproducible:
Always

Steps to Reproduce:
1. run command LANG=ml_IN.UTF-8; system-config-keyboard
2. Observe the result
  
Actual results:
Strings are not translated

Expected results:
All strings should be translated in ml_IN language.

Additional info:
As system-config-keyboard window also appears when firstboot runs, so, taken the
screenshots of both firstboot and system-config-keyboard. first screenshot is
from sys-con-keyboard and second is from firstboot. Please see.
Comment 1 Satyabrata Maitra 2006-07-27 02:39:56 EDT
Created attachment 133130 [details]
Screenshot of system-config-diaplay
Comment 2 Satyabrata Maitra 2006-07-27 02:42:27 EDT
Created attachment 133131 [details]
screenshot of firstboot keyboard window
Comment 3 Satyabrata Maitra 2006-07-27 02:47:33 EDT
Created attachment 133132 [details]
Screenshot of system-config-keyboard

Please leave the first screenshot which attached by mistake.
Comment 4 Caius Chance 2006-09-28 21:09:29 EDT
Created attachment 137353 [details]
Latest translation file (.po).

Latest .po file from translation server.

Open ml.po with editor and search "Keyboard", it has been translated.
Open ml.po with editor and search "Select the appropriate keyboard for the
system, it has been translated.

-----

The .po file will be updated to rawhide to reflect such changes.
Comment 6 Caius Chance 2006-10-02 20:05:40 EDT
Please maintainer review and close this bug. Thank you very much for your kindly
help.
Comment 8 Caius Chance 2006-11-08 00:42:26 EST
The latest .po should be in cvs now. Otherwise, please grab it from l10n cvs and
build at your best convenience. Thank you very much.
Comment 9 Caius Chance 2006-11-09 19:02:02 EST
Created attachment 140854 [details]
Screenshot

Tested which problem has been shown fixed on rawhide.
Comment 10 Ani Peter 2006-11-10 00:51:10 EST
Hi,

the text is translated , but not fully on the screen. Hence I think it must be
shortened using '/n', no other option otherwise.
I will change the po file, commit and let you know.
Please advise.

Ani
(Malayalam LM)
Comment 11 Caius Chance 2006-11-10 02:26:10 EST
Thank you very much, Ani. Please kindly notify the maintainer to grab your
updated .po whenever it is ready.
Comment 12 Ani Peter 2006-11-10 05:22:59 EST
Hello,
I have made the necessary changes in the line shown on the above screen shot and
commited in the cvs. I request the package maintainer to do the needful as what
is shown now do not reveal the complete meaning.

Thanks,
Ani
Comment 13 Caius Chance 2006-11-15 21:57:55 EST
Created attachment 141336 [details]
screenshot of test build with latest ml.po from l10n cvs.

The latest devel system-config-keyboard with latest ml.po provided by apeter
looks fine.

Please maintainer grab such ml.po from L10N cvs server and rebuild this package
at the best convenience.
Comment 14 Caius Chance 2006-11-20 20:43:20 EST
Excuse me. Just wondering if there are helps needed.
Comment 15 Paul Nasrat 2006-11-21 07:46:06 EST
system-config-keyboard 1.2.11-1
Comment 16 A S Alam 2007-05-22 02:10:18 EDT
Verififed:
All strings are translated, tested with following package:
system-config-keyboard-1.2.11-1.el5
Comment 17 A S Alam 2007-05-22 02:11:32 EDT
CLOSED:
package is already part of following tree-
RHEL5-Client-20070208.0

Note You need to log in before you can comment on or make changes to this bug.